### Class

# EDataCal IntervalTree

since: 2.32

#### Description [src]

    class EDataCal.IntervalTree : GObject.Object
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 2.32

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### e_intervaltree_new

Creates a new `EIntervalTree`.

since: 2.32

#### Instance methods

###### e_intervaltree_destroy

No description available.

since: 2.32

###### e_intervaltree_dump

No description available.

###### e_intervaltree_insert

No description available.

since: 2.32

###### e_intervaltree_remove

No description available.

since: 2.32

###### e_intervaltree_search

No description available.

since: 2.32

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataCalIntervalTreeClass {
      /* no available fields */
    }

Class structure for the `EIntervalTree` class.